Page MenuHomePhabricator

[include-fixer] Support finding headers for the symbol under cursor.
ClosedPublic

Authored by hokein on Aug 31 2016, 5:35 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

hokein updated this revision to Diff 69837.Aug 31 2016, 5:35 AM
hokein retitled this revision from to [include-fixer] Add a `query-symbol` option to query symbol without parsing the source file..
hokein updated this object.
hokein added a reviewer: bkramer.
hokein added a subscriber: cfe-commits.
hokein updated this revision to Diff 69847.Aug 31 2016, 6:55 AM

Update the test.

hokein updated this revision to Diff 69994.Sep 1 2016, 5:44 AM

Add editor scripts support.

hokein retitled this revision from [include-fixer] Add a `query-symbol` option to query symbol without parsing the source file. to [include-fixer] Support finding headers for the symbol under cursor..Sep 1 2016, 5:45 AM
hokein updated this object.
bkramer accepted this revision.Sep 7 2016, 7:31 AM
bkramer edited edge metadata.

I can't really comment on the emacs integration with my limited knowledge of elisp. The rest looks good to me.

This revision is now accepted and ready to land.Sep 7 2016, 7:31 AM

+ Jens for reviewing emacs integration part.

massberg edited edge metadata.Sep 7 2016, 8:50 AM

Added two comments. It took some time for me to recall Emacs Lisps ;)

include-fixer/tool/clang-include-fixer.el
48 ↗(On Diff #69994)

Please use 'boolean here

204 ↗(On Diff #69994)

Is this message still accurate when using the new query mode?

hokein updated this revision to Diff 70545.Sep 7 2016, 9:15 AM
hokein marked an inline comment as done.
hokein updated this object.
hokein edited edge metadata.

bool => boolean

hokein marked an inline comment as done.Sep 7 2016, 9:16 AM
hokein added inline comments.
include-fixer/tool/clang-include-fixer.el
204 ↗(On Diff #69994)

I think it is fine to keep it here.

The Emacs part looks good for me now.

include-fixer/tool/clang-include-fixer.el
204 ↗(On Diff #70545)

Then it fine for me, too.

This revision was automatically updated to reflect the committed changes.
hokein marked an inline comment as done.